Bug 9403 - Material type icons not showing for XSLT default view in intranet
Summary: Material type icons not showing for XSLT default view in intranet
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Paul Poulain
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-16 15:09 UTC by Katrin Fischer
Modified: 2014-05-26 21:04 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9403: Material type icons not showing for XSLT default view in intranet (28.93 KB, patch)
2013-01-17 17:42 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 9403: Follow-up: Move "Type" in XSLT result list to match OPAC result list (6.27 KB, patch)
2013-01-17 17:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9403: Material type icons not showing for XSLT default view in intranet (28.98 KB, patch)
2013-02-07 21:15 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9403: Follow-up: Move "Type" in XSLT result list to match OPAC result list (6.39 KB, patch)
2013-02-08 16:06 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 9403: Material type icons not showing for XSLT default view in intranet (29.08 KB, patch)
2013-03-21 15:21 UTC, Paul Poulain
Details | Diff | Splinter Review
[PASSED QA] Bug 9403: Follow-up: Move "Type" in XSLT result list to match OPAC result list (6.40 KB, patch)
2013-03-21 15:21 UTC, Paul Poulain
Details | Diff | Splinter Review
[PASSED QA] bug 9403 tiny follow-up to validate podchecker (1.23 KB, patch)
2013-03-21 15:21 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2013-01-16 15:09:27 UTC
In the OPAC result list with XSLT set to default we show a little icon after 'Type' and before the description:

Type: <icon> serial

We should show the same icons in the intranet XSLT default result list.
Comment 1 Katrin Fischer 2013-01-17 17:42:21 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2013-01-17 17:43:03 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2013-02-07 21:15:47 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2013-02-08 16:06:39 UTC Comment hidden (obsolete)
Comment 5 Paul Poulain 2013-03-21 15:20:40 UTC
QA comment
 * passes koha-qa.pl (after a very tiny follow-up for POD, provided as follow-up)
 * it's MARC21, I haven't checked it worked fine, but it does not break anything

passed QA
Comment 6 Paul Poulain 2013-03-21 15:21:17 UTC
Created attachment 16663 [details] [review]
[PASSED QA] Bug 9403: Material type icons not showing for XSLT default view in intranet

Implements the material type icons shown in the MARC21 XSLT result list
of the OPAC for the intrant result list.

Also adds the system preference DisplayIconsXSLT as an intranet analogue
for the OPAC system preference DisplayOPACiconsXSLT and corrects the
descriptions of both preferences in the syspref editor.

To test:
0) Run database update to add new system preference
1) Activate default XSLTResultsDisplay
2) Check the new system preference DisplayIconsXSLT shows up correctly
  and is activated by default. Compare descriptions between DisplayIconsXSLT
  and DisplayOPACiconsXSLT.
3) Check the intranet result list for icons showing up after 'Type:' and
  before the corresponding description. Detail pages should be showing
  the 'Type:' as before.
4) Turn off DisplayIconsXSLT.
5) Check the line containing 'Type:', format and audience information is now
  hidden from the result list.
6) Check that the 'Type:'line is also hidden from the detail page.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Paul Poulain <paul.poulain@biblibre.com>
Comment 7 Paul Poulain 2013-03-21 15:21:21 UTC
Created attachment 16664 [details] [review]
[PASSED QA] Bug 9403: Follow-up: Move "Type" in XSLT result list to match OPAC result list

Moves the line starting with "Type:" upwards to show below the author line
like it is in the OPAC XSLT result list.

To test:
1) Make sure XSLTResultsDisplay and DisplayIconsXSLT are turned on.
2) Check that the line starting with "Type" is showing up below the title and 'by' lines.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Paul Poulain <paul.poulain@biblibre.com>
Comment 8 Paul Poulain 2013-03-21 15:21:30 UTC
Created attachment 16665 [details] [review]
[PASSED QA] bug 9403 tiny follow-up to validate podchecker
Comment 9 Jared Camins-Esakov 2013-03-21 16:02:46 UTC
This patch has been pushed to master.